Debian Bug report logs - #501137
ITP: acerfand -- Control the fan of the Acer Aspire One

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gunnar Wolf <gwolf@debian.org>

Date: Sat, 4 Oct 2008 15:51:01 UTC

Owned by: Gunnar Wolf <gwolf@debian.org>

Severity: wishlist

Done: Gunnar Wolf <gwolf@iiec.unam.mx>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#501137; Package wnpp. (Sat, 04 Oct 2008 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Sat, 04 Oct 2008 15:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: acerfand -- Control the fan of the Acer Aspire One
Date: Sat, 04 Oct 2008 10:48:04 -0500
Package: wnpp
Severity: wishlist
Owner: Gunnar Wolf <gwolf@debian.org>


* Package name    : acerfand
  Version         : 0.03
  Upstream Author : Rachel Greenham <rachel@strangenoises.org> and others
* URL             : http://home.strangenoises.org/~rachel/aspireone/
* License         : GPL
  Programming Lang: Perl, Shell
  Description     : Rudimentary automatic fan control for noisy Acer Aspire One models

 Keeps the fan from spinning constantly in the noisy Acer Aspire
 One. Provides also tools to query several machine-specific EC
 registers

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 04 Oct 2008 19:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Gunnar Wolf <gwolf@debian.org>:
Bug#501137; Package wnpp. (Sun, 05 Oct 2008 01:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Garrett <mgarrett@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Gunnar Wolf <gwolf@debian.org>. (Sun, 05 Oct 2008 01:36:02 GMT) Full text and rfc822 format available.

Message #12 received at 501137@bugs.debian.org (full text, mbox):

From: Matthew Garrett <mgarrett@chiark.greenend.org.uk>
To: debian-devel@lists.debian.org, 501137@bugs.debian.org
Subject: Re: Bug#501137: ITP: acerfand -- Control the fan of the Acer Aspire One
Date: Sun, 5 Oct 2008 02:35:11 +0100
Gunnar Wolf <gwolf@debian.org> wrote:

>  Keeps the fan from spinning constantly in the noisy Acer Aspire
>  One. Provides also tools to query several machine-specific EC
>  registers

Be careful with this - it can't perform the locking used by the kernel 
and firmware for EC access, so there's a risk of racing and trashing the 
contents of other registers. This should really be implemented as a 
kernel driver using either the hwmon or thermal interfaces and a generic 
fan control daemon implemented on top of that.

-- 
Matthew Garrett | mjg59-chiark.mail.debian.devel@srcf.ucam.org




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Gunnar Wolf <gwolf@debian.org>:
Bug#501137; Package wnpp. (Tue, 07 Oct 2008 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Gunnar Wolf <gwolf@debian.org>. (Tue, 07 Oct 2008 22:33:05 GMT) Full text and rfc822 format available.

Message #17 received at 501137@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Matthew Garrett <mgarrett@chiark.greenend.org.uk>
Cc: debian-devel@lists.debian.org, 501137@bugs.debian.org
Subject: Re: Bug#501137: ITP: acerfand -- Control the fan of the Acer Aspire One
Date: Tue, 7 Oct 2008 17:30:12 -0500
[Message part 1 (text/plain, inline)]
Matthew Garrett dijo [Sun, Oct 05, 2008 at 02:35:11AM +0100]:
> Gunnar Wolf <gwolf@debian.org> wrote:
> 
> >  Keeps the fan from spinning constantly in the noisy Acer Aspire
> >  One. Provides also tools to query several machine-specific EC
> >  registers
> 
> Be careful with this - it can't perform the locking used by the kernel 
> and firmware for EC access, so there's a risk of racing and trashing the 
> contents of other registers. This should really be implemented as a 
> kernel driver using either the hwmon or thermal interfaces and a generic 
> fan control daemon implemented on top of that.

Thanks for the information - Given this, I retract my intention to
package. And given that the package is already packaged and uploaded:
FTP-masters, please ignore/delete it.

Matthew, and out of personal curiosity (as I will probably continue to
use this, at least until something better comes along): What does the
danger amount to? Say, a random lock-up? Or will it lead to hardware
malfunction (or shorter lifespan)? I am currently setting the
fan-on threshold at 70C, the fan-off at 60C (the default settings for
acerfand) 

Thanks!

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Gunnar Wolf <gwolf@debian.org>:
Bug#501137; Package wnpp. (Wed, 08 Oct 2008 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Garrett <mjg59@srcf.ucam.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Gunnar Wolf <gwolf@debian.org>. (Wed, 08 Oct 2008 02:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 501137@bugs.debian.org (full text, mbox):

From: Matthew Garrett <mjg59@srcf.ucam.org>
To: Gunnar Wolf <gwolf@gwolf.org>
Cc: Matthew Garrett <mgarrett@chiark.greenend.org.uk>, debian-devel@lists.debian.org, 501137@bugs.debian.org
Subject: Re: Bug#501137: ITP: acerfand -- Control the fan of the Acer Aspire One
Date: Wed, 8 Oct 2008 03:21:57 +0100
On Tue, Oct 07, 2008 at 05:30:12PM -0500, Gunnar Wolf wrote:

> Matthew, and out of personal curiosity (as I will probably continue to
> use this, at least until something better comes along): What does the
> danger amount to? Say, a random lock-up? Or will it lead to hardware
> malfunction (or shorter lifespan)? I am currently setting the
> fan-on threshold at 70C, the fan-off at 60C (the default settings for
> acerfand) 

It really depends on how the hardware is designed, but an example would 
be where the kernel ends up reading the incorrect register when checking 
the temperature and misinterprets it as requiring a critical thermal 
shutdown. Lockups are certainly possible, and it's just about 
conceivable that you could cause hardware damage - though that's a bit 
of a stretch.

-- 
Matthew Garrett | mjg59@srcf.ucam.org




Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 07 Dec 2008 06:27:08 GMT) Full text and rfc822 format available.

Reply sent to Gunnar Wolf <gwolf@iiec.unam.mx>:
You have taken responsibility. (Tue, 11 Aug 2009 18:15:03 GMT) Full text and rfc822 format available.

Notification sent to Gunnar Wolf <gwolf@debian.org>:
Bug acknowledged by developer. (Tue, 11 Aug 2009 18:15:03 GMT) Full text and rfc822 format available.

Message #29 received at 501137-done@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@iiec.unam.mx>
To: 501137-done@bugs.debian.org
Subject: Will not be packaged
Date: Tue, 11 Aug 2009 13:07:56 -0500
[Message part 1 (text/plain, inline)]
Sorry, I thought I had closed this bug a long time ago. This will not
be packaged for Debian for the reasons mentioned earlier on this
report. 

-- 
Gunnar Wolf - gwolf@iiec.unam.mx - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Sep 2009 07:33:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:17:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.